Esegui la migrazione della gestione delle origini conversione dall'API Content for Shopping

Le origini conversione di Merchant Center ti consentono di visualizzare i dati sulle conversioni provenienti dagli annunci senza costi e dal tuo sito web nel tuo account Merchant Center. L'API Merchant ti consente di gestire le origini conversione per il tuo account Merchant Center. Per saperne di più, consulta Gestire le origini conversione.

Questa pagina descrive come eseguire la migrazione della gestione delle origini conversione dall'API Content all'API Merchant.

Richieste

Di seguito è riportato un confronto di esempio tra l'API Content for Shopping e l'API Merchant Conversion Sources per le richieste di origini conversione:

API Content API Merchant
URL GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/{NAME}
Identificatori {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME}

Metodi

Di seguito sono riportate le modifiche apportate ai metodi delle origini conversione nell'API Conversion Sources:

Metodo URL nell'API Content for Shopping URL nell'API Merchant Identificatori nell'API Content for Shopping Identificatori nell'API Merchant Descrizione
create POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources POST https://merchantapi.googleapis.com/conversions/v1/accounts/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} Nell'API Merchant, propertyName si chiama property.
update PATCH https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} PATCH https://merchantapi.googleapis.com/conversions/v1/accounts/{CONVERSIONSOURCE_NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {CONVERSIONSOURCE_NAME} Nell'API Merchant, destinationId si chiama destination.
delete DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} DELETE https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} Nell'API Merchant, attributionLookbackWindowInDays si chiama attributionLookbackWindowDays.Nell'API Merchant, includeInReporting si chiama report.
undelete POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}:undelete POST https://merchantapi.googleapis.com/conversions/v1/accounts/{name}:undelete {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} L'URL e gli identificatori sono diversi nell'API Merchant.
L'API Conversion Sources restituisce ConversionSource anziché Empty.
get GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} L'URL e gli identificatori sono diversi nell'API Merchant.
list GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources GET https://merchantapi.googleapis.com/conversions/v1/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} L'URL e gli identificatori sono diversi nell'API Merchant.

Risorse

La tabella seguente indica le modifiche apportate alle risorse delle origini conversione nell'API Conversion Sources:

API Content for Shopping API Merchant Descrizione
googleAnalyticsLink: {

property_id: int64,

attributionSettings: object,

propertyName: string

}

googleAnalyticsLink: {

propertyId: int64,

attributionSettings: object,

property: string

}

Nell'API Merchant, propertyName si chiama property.
merchantCenterDestination: {

destinationId: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

merchantCenterDestination: {

destination: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

Nell'API Merchant, destinationId si chiama destination.
attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

includeInReporting: bool

}

}

attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

report: bool

}

}

Nell'API Merchant, attributionLookbackWindowInDays si chiama attributionLookbackWindowDays.

Nell'API Merchant, includeInReporting si chiama report.